import {
  PlaceholderCell
} from "./chunk-PHOCVOZ5.js";

// src/components/table/table-cells/order/display-id-cell/display-id-cell.tsx
import { useTranslation } from "react-i18next";
import { jsx, jsxs } from "react/jsx-runtime";
var DisplayIdCell = ({ displayId }) => {
  if (!displayId) {
    return /* @__PURE__ */ jsx(PlaceholderCell, {});
  }
  return /* @__PURE__ */ jsx("div", { className: "text-ui-fg-subtle txt-compact-small flex h-full w-full items-center overflow-hidden", children: /* @__PURE__ */ jsxs("span", { className: "truncate", children: [
    "#",
    displayId
  ] }) });
};
var DisplayIdHeader = () => {
  const { t } = useTranslation();
  return /* @__PURE__ */ jsx("div", { className: "flex h-full w-full items-center", children: /* @__PURE__ */ jsx("span", { className: "truncate", children: t("fields.order") }) });
};

export {
  DisplayIdCell,
  DisplayIdHeader
};
